function get_core_range_date_time,filename,stdate,sttime,enddate,endtime

if hdf_ishdf(filename) ne 1 then begin
  print,"File ",filename," is not an HDF file."
  goto, error_exit
endif

sd_id = 0
sd_id = HDF_SD_START(filename,/read)
if sd_id lt 0 then begin
  print,'Unable to open file ',filename
  goto, error_exit
endif

HDF_SD_FILEINFO,sd_id,nmfsds,nglobatts

if nglobatts gt 0 then begin
  for i=0,nglobatts-1 do begin
    HDF_SD_ATTRINFO,sd_id,i,name=n,type=t,count=c,data=d
    if strupcase(strtrim(n,2)) eq 'COREMETADATA' then begin
      d = strcompress(d)

      stdate_loc = strpos(d,'RANGEBEGINNINGDATE')
      if stdate_loc lt 0 then begin
        print,'RANGEBEGINNINGDATE object info not found in core metadata'
        goto, error_exit
      endif
      val_loc = strpos(d,'VALUE', stdate_loc)
      stdate = strmid(d,val_loc+9,10)

      sttime_loc = strpos(d,'RANGEBEGINNINGTIME')
      if sttime_loc lt 0 then begin
        print,'RANGEBEGINNINGTIME object info not found in core metadata'
        goto, error_exit
      endif
      val_loc = strpos(d,'VALUE', sttime_loc)
      sttime = strmid(d,val_loc+9,15)

      enddate_loc = strpos(d,'RANGEENDINGDATE')
      if enddate_loc lt 0 then begin
        print,'RANGEENDINGDATE object info not found in core metadata'
        goto, error_exit
      endif
      val_loc = strpos(d,'VALUE', enddate_loc)
      enddate = strmid(d,val_loc+9,10)

      endtime_loc = strpos(d,'RANGEENDINGTIME')
      if endtime_loc lt 0 then begin
        print,'RANGEENDINGTIME object info not found in core metadata'
        goto, error_exit
      endif
      val_loc = strpos(d,'VALUE', endtime_loc)
      endtime = strmid(d,val_loc+9,15)
      HDF_SD_END,sd_id
      return, 0
    endif
  endfor
  print,'No core metadata found'
  goto, error_exit
endif else begin
  print,'No global attributes found'
endelse

error_exit:
  if (sd_id ne 0) then HDF_SD_END,sd_id
  return, -1
end