function misr_calc_jul_date, datestr, timestr

;  combines MISR RANGE...DATE and RANGE...TIME strings
;  where ... is BEGINNING or ENDING as found in the core
;  metadata and converts them to a Julian date
;  NOTE:  fractions of seconds are ignored (no rounding either!)

strnummon = ['01','02','03','04','05','06','07','08',$
             '09','10','11','12']
stralphamon = ['JAN','FEB','MAR','APR', 'MAY', 'JUN', $
               'JUL', 'AUG','SEP','OCT','NOV','DEC']

;  extract date parts from date and time strings

stryear = strmid(datestr,0,4)

;  replace numeric month string with alpha abbreviated
;  month name for BIN_DATE

strmon = stralphamon(where(strnummon eq strmid(datestr,5,2)))
strday = strmid(datestr,8,2)
strtime = strmid(timestr,0,8)

;  use Xs as placeholder for day of week in ASCII date string
;  passed to IDL BIN_DATE routine

bd = BIN_DATE('XXX '+strmon+" "+strday+" "+strtime+" "+$
          stryear)

juldate = JULDAY(bd[1], bd[2], bd[0], bd[3],$
           bd[4], bd[5])
return, juldate
end