function read_grid_field,filename,gridname,fieldname,fielddata,FILLVALUE=fillvalue
  print,"Opening file ",filename
  fid = EOS_GD_OPEN(filename,/READ)
  if (fid lt 0) then begin
    msg_text = "Problem opening HDF-EOS file " + filename
    goto, error
  endif
  print,"Attaching grid ",gridname
  gid = EOS_GD_ATTACH(fid,gridname)
  if (gid lt 0) then begin
    msg_text = "Problem attaching grid " + gridname
    goto, error
  endif
  print,"Reading field ",fieldname
  status = EOS_GD_READFIELD(gid,fieldname,fielddata)
  if (status lt 0) then begin
    msg_text = "Problem reading field " + fieldname
    goto, error
  endif
  if KEYWORD_SET(FILLVALUE) then begin
    print,"Getting field fill value"
    status = EOS_GD_GETFILLVALUE(gid,fieldname,fillvalue)
    if (status lt 0) then begin
      msg_text = "Problem getting fill value for field " + fieldname
      goto, error
    endif
  endif
  status = EOS_GD_DETACH(gid)
  if (status lt 0) then begin
    msg_text = "Problem detaching grid " + gridname
    goto, error
  endif
  status = EOS_GD_CLOSE(fid)
  if (status lt 0) then begin
    msg_text = "Problem closing HDF-EOS file " + filename
    goto, error
  endif
  print,"Normal exit"
  return,0
error:
  status = DIALOG_MESSAGE(msg_text,/INFORMATION,TITLE='read_grid_field message')
  return,-1
end